#!/usr/local/bin/ruby
#
#----------------------------------------------------------------------
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version. This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details; it is available at
# <http://www.fsf.org/copyleft/gpl.html>, or by writing to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# 
# Written by Gordon Miller <gmiller@bittwiddlers.com>. Inspired by and partly
# derived from the Python version by Michael Haggerty. If you find a problem
# or have a suggestion, please let me know at <gmiller@bittwiddlers.com>.
# Other feedback would also be appreciated.
#
#----------------------------------------------------------------------
#
# This is the main module of the Gnuplot package.  This is the file that
# should be included into an application.  Its primary purpose is to require
# all of the subpackages that constitute the package.
#
#---------------------------------------------------------------------- 

#:include: README

version = '1.4'
cvs_version = '$Revision: 1.1.1.1 $'

require 'gplot/Writer'
require 'gplot/PlotItem'
require 'gplot/Plot'
require 'gplot/ContourPlot'

# $Id: Gnuplot.rb,v 1.1.1.1 2002/06/04 12:36:28 gmiller Exp $
